Skip to content
The API may change between versions while TTX-Zone is 0.x.

List organizations

GET
/api/v1/instance/organizations
curl --request GET \
--url 'https://example.com/api/v1/instance/organizations?limit=20&offset=0&sort_by=created_at&sort_dir=asc' \
--cookie ttx_access_token=<ttx_access_token>

Every organization of the deployment (newest first by default); q matches its name or domain.

limit
Limit
integer
default: 20 >= 1 <= 200
offset
Offset
integer
0
q
Any of:
string
<= 200 characters
sort_by
Sort By
string
default: created_at
Allowed values: created_at name
sort_dir
Sort Dir
string
default: desc
Allowed values: asc desc

Successful Response

Media typeapplication/json
InstanceOrganizationListResponse
object
items
required
Items
Array<object>
InstanceOrganizationRead
object
created_at
required
Created At
string format: date-time
domain
required
Any of:
string
id
required
Id
string format: uuid
name
required
Name
string
program_manager_count
required
Program Manager Count
integer
limit
required
Limit
integer
offset
required
Offset
integer
total
required
Total
integer

Example generated

{
"items": [
{
"created_at": "2026-04-15T12:00:00Z",
"domain": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"program_manager_count": 1
}
],
"limit": 1,
"offset": 1,
"total": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}